Bug 78881 - pam_smbpass.so is missing from samba package 2.2.7-1.7.3
Summary: pam_smbpass.so is missing from samba package 2.2.7-1.7.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-02 19:22 UTC by Christian Nygaard
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 19:24:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Nygaard 2002-12-02 19:22:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
The updated samba-2.2.7-1.7.3 package are missing pam_smbpass.so

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -qlp samba-2.2.3a-6.i386.rpm | grep pam_smbpass
2.rpm -qlp samba-2.2.7-1.7.3.i386.rpm | grep pam_smbpass
3.
	

Expected Results:  /lib/security/pam_smbpass.so is missing

Additional info:

Comment 1 Michael Schwendt 2002-12-13 14:53:55 UTC
Also see bug #79059.


Comment 2 Jay Fenlason 2003-02-10 22:56:29 UTC
As near as I can tell, it was an error/badly-thought-out-decision by the
previous Red Hat Samba maintainer.  I've reinstated it for samba-2.2.7a releases
in rawhide, but I wasn't planning on considering errata for 7.x and 8.0 until
after Samba-2.2.8 is out, with its improved large file handling, since it's a
more compelling reason to issue errata.  In the mean time, you can grab the
2.2.7a srpm and rebuild it.

Comment 3 Jay Fenlason 2003-04-08 19:24:25 UTC
Now that Red Hat Linux 9 is out, I'm going to close this as currentrelease.

Comment 4 Michael Schwendt 2003-04-08 20:48:10 UTC
But this report is about Red Hat Linux 7.3. And while Red Hat has shipped
several errata releases for Samba since this report was submitted, none of them
puts back in pam_smbpass.so for Red Hat Linux 7.3: 2.2.7-1.7.3, 2.2.7-2.7.3,
2.2.7-3.7.3

It's a weird decision to leave Samba broken, regardless of whether it's trivial
to modify the src.rpm.


Note You need to log in before you can comment on or make changes to this bug.